HDMI module and .509 firmware

Joined
Dec 4, 2016
Messages
51
Likes
49
Age
58
Location
Parrish, FL
#1
Hey folks...

I'm flying nicely on .509 firmware and was thinking about getting the HDMI module and FPV goggles for my P4P. Before I un-*** the jack for all this, will I be ok with .509 firmware or will I have to upgrade. If I have to upgrade I may not even try. The P4P flies perfectly now.

Cheers!
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#2
I have my craft frozen with .509 firmware for obvious reasons, but cannot get the HDMI module to work, even though the module worked fine on my P3P controller. I've simply accepted the fact I'll never have an HDMI port for my P4P, because I'm never moving off .509 firmware, and I'm afraid to change the RC firmware off of 1.4.1.0 in fear it won't work with .509 craft firmware. If anyone else has .509 craft firmware working with an HDMI module option, let me know. I'd really like to know the RC firmware version that can fix this problem.
 
Joined
Mar 7, 2017
Messages
35
Likes
11
Age
68
#3
I have the P4P with .509 firmware and HDMI module installed. It works. I had to switch HDMI cables before connection worked fairly reliably. I use a cable that does not require adapters, so less weight to it. Am using Android tablet with DJI Go 4. Still some stability issues in general. But does work.
 
Likes: WebheadFred
Joined
Dec 19, 2014
Messages
1,394
Likes
535
#4
You can try but I think it's a gamble. Make sure you can return everything if it doesn't. I'm on 509 as well and I wouldn't budge even if it was promised a naked woman popped out of the remote if I did, lol. That's how much I value my stress free, and truly free flying flights with 509. I'd like to use goggles as well but I opted for a Hoodman and for me it's close enough to the experience and affords me the ability to really be able to see and fly shots well, and also safely. That's all I'd need from goggles anyway. So the hoodman gives me that.
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#5
I have the P4P with .509 firmware and HDMI module installed. It works. I had to switch HDMI cables before connection worked fairly reliably. I use a cable that does not require adapters, so less weight to it. Am using Android tablet with DJI Go 4. Still some stability issues in general. But does work.
That's great to hear. Can you disclose what firmware you're using in the RC? I'm on 1.4.1.0 RC firmware, but afraid to change this. If you have something newer that's compatible with 1.3.509 craft firmware, that may be the solution.

Can you describe your "general stability" issues? Are you talking about the stability of your android display, or stability of the flight characteristics of the craft?
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#6
I'm on 509 as well and I wouldn't budge even if it was promised a naked woman popped out of the remote if I did, lol.
Funny you say that. That's exactly how I feel about 509. You couldn't pay me to migrate off that version, simply because of the flexibility gained to change all the flight limitations in the craft firmware settings.
 
Joined
Nov 2, 2013
Messages
433
Likes
48
Location
Olympic Peninsula USA
#7
Funny you say that. That's exactly how I feel about 509. You couldn't pay me to migrate off that version, simply because of the flexibility gained to change all the flight limitations in the craft firmware settings.
It's funny, my p4p and air2 are locked down the same as yours. NFZ and Height limit are disabled in parameters. Great combination and rock solid.
 
Joined
Dec 19, 2014
Messages
1,394
Likes
535
#8
That's great to hear. Can you disclose what firmware you're using in the RC? I'm on 1.4.1.0 RC firmware, but afraid to change this. If you have something newer that's compatible with 1.3.509 craft firmware, that may be the solution.

Can you describe your "general stability" issues? Are you talking about the stability of your android display, or stability of the flight characteristics of the craft?
I have 1.4.1.1 on my rc with 509. No problem at all. That remote rev came with the new rc I had to get because the original remote developed the main board problem and wouldn't charge fully. I sweated out hoping 509 would be compatible and it is. The problem though is that you can't incrementally update firmware so it's right to the newest and I'm quite sure that would not be compatible with 509. If it is, I'd be mighty surprised.
 
Joined
Dec 19, 2014
Messages
1,394
Likes
535
#10
@shockwave199 Looking at your signature, why are you on ios 9 on you air2, I thought 10 was the sweets spot for that generation. It's working so don't mess with it or something else? Just curious.
It works perfectly with no issue. Always has. I don't mess with a good thing. My daily air 2 is up to date firmware but I haven't flown with it.
 
Joined
Nov 2, 2013
Messages
433
Likes
48
Location
Olympic Peninsula USA
#11
That's what I thought. l can tell you that 10.3.3 is solid with .509 and GO 4.08 as well. But no matter.

As to this thread, I have an HDMI module on my p3p controller and I also have one new in box that I never installed on the p4p because I didn't want to update either! My backup tablet is a Shield with HDMI if I ever really need to get a feed.
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#12
That's what I thought. l can tell you that 10.3.3 is solid with .509 and GO 4.08 as well. But no matter.

As to this thread, I have an HDMI module on my p3p controller and I also have one new in box that I never installed on the p4p because I didn't want to update either! My backup tablet is a Shield with HDMI if I ever really need to get a feed.
What version firmware are you running on your RC?
I have 1.4.1.1 on my rc with 509. No problem at all. That remote rev came with the new rc I had to get because the original remote developed the main board problem and wouldn't charge fully. I sweated out hoping 509 would be compatible and it is. The problem though is that you can't incrementally update firmware so it's right to the newest and I'm quite sure that would not be compatible with 509. If it is, I'd be mighty surprised.
Well well well, that's interesting. So what I need to do is find an GL300F controller to buy with 1.4.1.1. I'm not sure if it's possible to load 1.4.1.1 on mine, but I'm not trying it anyway, I don't want to risk messing up a good thing. I'll buy another RC if I can find one used on eBay. Thanks for the tip!
 
Joined
Dec 19, 2014
Messages
1,394
Likes
535
#15
What version firmware are you running on your RC?

Well well well, that's interesting. So what I need to do is find an GL300F controller to buy with 1.4.1.1. I'm not sure if it's possible to load 1.4.1.1 on mine, but I'm not trying it anyway, I don't want to risk messing up a good thing. I'll buy another RC if I can find one used on eBay. Thanks for the tip!
I'm saying the bird and rc are fine with those firmware revs. I don't know if the hdmi module works with 1.4.1.1. I got my rc from drone nerds new for 275, if memory serves. They confirmed it had 1.41.1. With bum rc's out there, I'd be concerned about used unless absolutely sure.
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#16
I'm saying the bird and rc are fine with those firmware revs. I don't know if the hdmi module works with 1.4.1.1. I got my rc from drone nerds new for 275, if memory serves. They confirmed it had 1.41.1. With bum rc's out there, I'd be concerned about used unless absolutely sure.
Oh shoot, I got you mixed up with @philjmj . In Post #3 he says he has the HDMI module working with 1.3.509, but he hasn't replied to my question, asking what RC firmware he's running. There is a bunch of GL300F controllers for sale on eBay, I just need to find the right firmware to match what @philjmj is running.
 
Joined
Nov 2, 2013
Messages
433
Likes
48
Location
Olympic Peninsula USA
#17
Oh shoot, I got you mixed up with @philjmj . In Post #3 he says he has the HDMI module working with 1.3.509, but he hasn't replied to my question, asking what RC firmware he's running. There a bunch of GL300F controllers for sale on eBay, I just need to find the right firmware to match what @philjmj is running.
Just as a data point to store away; I've read where after installing the module, you must drop back one fw version and re-update to load the particulars for the module that don't get loaded when the module was not present. I don't know this first hand, but I have seen it mentioned more than once.
 
Likes: shockwave199
Joined
Mar 7, 2017
Messages
35
Likes
11
Age
68
#18
My remote controller: 01.03.00.00+
DJI Go 4 4.07
The problems I have I think are related to using Samsung S3 tablet, which has excellent screen, but DJI Go sometimes does not start up or crashes or partially crashes. I don't think the problem has to do with the remote. People wearing goggles tell me they still see the image, even after DJI Go 4 app has problem. My cell phone I think is more resilient and also older Tab A. Less error prone. But the Tab S3 does work as well, just a little flakey. Hopefully upgrades to the system will fix that. I can't speak to your version rc. I do know when I first set up the HDMI module, I was surprised how the different cables made a difference, though.

And it is a very nice wide screen image. A bit awkward to use the menus with the little buttons and touch pad. It seems to have 1080p mode. On DJI site they say the Advanced and Pro can stream the 1080p (from the Goggles). So that is a plus, if so.
 
Last edited:
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#19
Just as a data point to store away; I've read where after installing the module, you must drop back one fw version and re-update to load the particulars for the module that don't get loaded when the module was not present. I don't know this first hand, but I have seen it mentioned more than once.
That's interesting. If that's true I may be out of luck. Since updating the RC through the Go4 app is the only way, I'll never be able to do anything but update to the current firmware. Maybe I'll buy a used RC to test with and update it to the current rev. I can quickly determine if it works with my 509 craft firmware. I'll still have my original RC that works if the test RC fails.
 
Joined
Jun 26, 2015
Messages
5,951
Likes
2,625
Location
Yorba Linda, CA
#20
My remote controller: 01.03.00.00+
DJI Go 4 4.07
Thanks for the reply Philjmj. This is prior to my firmware, so I'm a bit puzzled why my HDMI module doesn't work. I think I'll try what Dave Pitman mentioned with another RC. I really miss flying with my goggles, only my P4 has a working HDMI port that work with my goggles.
 

New Threads

Forum statistics

Threads
130,319
Messages
1,352,375
Members
94,995
Latest member
werei